package eu.mhsl.craftattack.spawn.varo.appliances.metaGameplay.strike;

import eu.mhsl.craftattack.spawn.core.appliance.ApplianceListener;
import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.format.NamedTextColor;
import org.bukkit.event.EventHandler;
import org.bukkit.event.player.PlayerJoinEvent;

public class OnStrikeActionListener extends ApplianceListener<Strike> {
    @EventHandler
    public void onJoin(PlayerJoinEvent event) {
        this.getAppliance().checkJoin(event.getPlayer());

        var leaks = CordLeak.getAllLeaked();
        var text = Component.text();
        if(!leaks.isEmpty()) {
            text.append(Component.text("Geleakte Koordinaten:", NamedTextColor.AQUA));
            leaks.forEach((uuid, leakInfo) -> {
                this.getAppliance().appendCordLeak(text, uuid);
            });

            event.getPlayer().sendMessage(text);
        }
    }
}
